Package org.jbpm.process.workitem.email

## Class Connection

- java.lang.Object
- - org.jbpm.process.workitem.email.Connection

-     public class Connection
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Connection()` |
    `Connection​(String host, String port)` |
    `Connection​(String host, String port, String userName, String password)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getHost()` |
    `String` | `getPassword()` |
    `String` | `getPort()` |
    `Boolean` | `getStartTls()` |
    `String` | `getUserName()` |
    `int` | `hashCode()` |
    `void` | `setHost​(String host)` |
    `void` | `setPassword​(String password)` |
    `void` | `setPort​(String port)` |
    `void` | `setStartTls​(boolean startTls)` |
    `void` | `setUserName​(String userName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Connection

          public Connection()

    - #### Connection

          public Connection​(String host,
                            String port,
                            String userName,
                            String password)

    - #### Connection

          public Connection​(String host,
                            String port)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost​(String host)

    - #### getPort

          public String getPort()

    - #### setPort

          public void setPort​(String port)

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName​(String userName)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword​(String password)

    - #### getStartTls

          public Boolean getStartTls()

    - #### setStartTls

          public void setStartTls​(boolean startTls)